### File

`packages/components/eui-dialog/container/eui-dialog-container.component.ts`

### Implements

`OnInit` `OnDestroy` `AfterViewInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-dialog-container`
imports | `AsyncPipe` `TranslateModule` `PortalModule` `OverlayModule` `A11yModule` `DragDropModule` `CdkScrollableModule` `EUI_BUTTON` `EUI_ICON` `EUI_ICON_BUTTON` `EUI_ICON_STATE`
templateUrl | `./eui-dialog-container.component.html`
styleUrl | `../eui-dialog.scss`

### Index

###### Properties
Public acceptButtonDisabled$ Public bodyComponentPortal cd Public componentInstances dialogBody dialogContainerConfig Public dismissButtonDisabled$ Public footerComponentPortal Public headerComponentPortal Public isBodyComponentPortal Public isBodyTemplatePortal Public isFooterComponentPortal Public isFooterTemplatePortal Public isHeaderComponentPortal Public isHeaderTemplatePortal string
###### Methods
Public closeDialog Public disableAcceptButton Public disableDismissButton Public enableAcceptButton Public enableDismissButton Public getContentId Public onAccept Public onDismiss Public onScroll Public portalAttached Public scrollToBottom Public scrollToTop
###### Inputs
closeButtonAriaLabel
###### HostBindings
class
###### Accessors
getComponentInstances getPortalOutlet dialogContainerConfigContent

### Inputs

closeButtonAriaLabel
Type : `string`
Default value : `'Close dialog'`

### HostBindings

class
Type : `string`
Default value : `'eui-dialog-container'`

### Methods

Public closeDialog
`closeDialog()`
Returns : `void`

Public disableAcceptButton
`disableAcceptButton()`
Disable Accept button of default eui-dialog footer. Returns : `void`

Public disableDismissButton
`disableDismissButton()`
Disable Dismiss button of default eui-dialog footer. Returns : `void`

Public enableAcceptButton
`enableAcceptButton()`
Enable Accept button of default eui-dialog footer. Returns : `void`

Public enableDismissButton
`enableDismissButton()`
Enable Dismiss button of default eui-dialog footer. Returns : `void`

Public getContentId
`getContentId()`
Based on certain conditions returns the id of the body content to the aria-describedby attr of the container Returns : `string`

Public onAccept
`onAccept()`
Returns : `void`

Public onDismiss
`onDismiss()`
Returns : `void`

Public onScroll
`onScroll()`
Returns : `void`

Public portalAttached
`portalAttached(attachedRef: CdkPortalOutletAttachedRef, component: "headerComponent" | "bodyComponent" | "footerComponent")`
Parameters :
Name | Type | Optional
attachedRef | `CdkPortalOutletAttachedRef` | No
component | `"headerComponent" | "bodyComponent" | "footerComponent"` | No
Returns : `void`

Public scrollToBottom
`scrollToBottom()`
Returns : `void`

Public scrollToTop
`scrollToTop()`
Returns : `void`

### Properties

Public acceptButtonDisabled$
Type : `BehaviorSubject<boolean>`
Default value : `new BehaviorSubject<boolean>(false)`

Public bodyComponentPortal
Type : `ComponentPortal<BC>`

cd
Default value : `inject(ChangeDetectorRef)`

Public componentInstances
Default value : `new EuiDialogComponentInstances<HC, BC, FC>()`

dialogBody
Type : `ElementRef<HTMLElement>`
Decorators : `@ViewChild('dialogBody', {read: ElementRef})`

dialogContainerConfig
Default value : `inject<EuiDialogInterface<HC, HCC, BC, BCC, FC, FCC>>(DIALOG_CONTAINER_CONFIG)`

Public dismissButtonDisabled$
Type : `BehaviorSubject<boolean>`
Default value : `new BehaviorSubject<boolean>(false)`

Public footerComponentPortal
Type : `ComponentPortal<FC>`

Public headerComponentPortal
Type : `ComponentPortal<HC>`

Public isBodyComponentPortal
Default value : `false`

Public isBodyTemplatePortal
Default value : `false`

Public isFooterComponentPortal
Default value : `false`

Public isFooterTemplatePortal
Default value : `false`

Public isHeaderComponentPortal
Default value : `false`

Public isHeaderTemplatePortal
Default value : `false`

string
Type : `string`
Default value : `'eui-dialog-container'`
Decorators : `@HostBinding('class')`

### Accessors

getComponentInstances
get `getComponentInstances()`

getPortalOutlet
get `getPortalOutlet()`

dialogContainerConfigContent
get `dialogContainerConfigContent()`

# results matching ""

# No results matching ""